Notifications
In-app notifications and delivery preferences.
- Get user notifications
GET /api/notifications - Dismiss all notifications
POST /api/notifications/dismiss-all - Get notification preferences
GET /api/notifications/preferences - Update notification preferences
PUT /api/notifications/preferences - Mark all notifications as read
POST /api/notifications/read-all - Get unread notification count
GET /api/notifications/unread-count - Dismiss a notification
POST /api/notifications/{notification_id}/dismiss - Mark notification as read
POST /api/notifications/{notification_id}/read